r831 - trunk

DONOTREPLY at icculus.org DONOTREPLY at icculus.org
Wed Aug 2 01:12:20 EDT 2006


Author: tjw
Date: 2006-08-02 01:12:20 -0400 (Wed, 02 Aug 2006)
New Revision: 831

Modified:
   trunk/Makefile
   trunk/make-macosx-ub.sh
Log:
bug 2723
* ARCH should be i386 instead of x86 for Mac OS X too


Modified: trunk/Makefile
===================================================================
--- trunk/Makefile	2006-08-02 04:01:36 UTC (rev 830)
+++ trunk/Makefile	2006-08-02 05:12:20 UTC (rev 831)
@@ -293,7 +293,7 @@
     # the -m linker flag, but you can't shut up the warnings 
     USE_OPENAL_DLOPEN=1
   else
-  ifeq ($(BUILD_MACOSX_UB),x86)
+  ifeq ($(BUILD_MACOSX_UB),i386)
     CC=gcc-4.0
     BASE_CFLAGS += -arch i386 -DSMP \
       -isysroot /Developer/SDKs/MacOSX10.4u.sdk \
@@ -304,7 +304,7 @@
       -isystem /Developer/SDKs/MacOSX10.4u.sdk/usr/include
     LDFLAGS = -mmacosx-version-min=10.4 \
       -L/Developer/SDKs/MacOSX10.4u.sdk/usr/lib/gcc/i686-apple-darwin8/4.0.1
-    ARCH=x86
+    ARCH=i386
     BUILD_SERVER=0
   else
     # for whatever reason using the headers in the MacOSX SDKs tend to throw 
@@ -321,7 +321,7 @@
     # in the PPC vm (should be a better non-Carbon way).
     LDFLAGS += -framework Carbon
   endif
-  ifeq ($(ARCH),x86)
+  ifeq ($(ARCH),i386)
     OPTIMIZE += -msse2
     # x86 vm will crash without -mstackrealign since MMX instructions will be
     # used no matter what and they corrupt the frame pointer in VM calls

Modified: trunk/make-macosx-ub.sh
===================================================================
--- trunk/make-macosx-ub.sh	2006-08-02 04:01:36 UTC (rev 830)
+++ trunk/make-macosx-ub.sh	2006-08-02 05:12:20 UTC (rev 831)
@@ -6,23 +6,23 @@
 
 BIN_OBJ="
 	build/release-darwin-ppc/ioquake3.ppc
-	build/release-darwin-x86/ioquake3.x86
+	build/release-darwin-i386/ioquake3.i386
 "
 BASE_OBJ="
 	build/release-darwin-ppc/$BASEDIR/cgameppc.dylib
-	build/release-darwin-x86/$BASEDIR/cgamex86.dylib
+	build/release-darwin-i386/$BASEDIR/cgamei386.dylib
 	build/release-darwin-ppc/$BASEDIR/uippc.dylib
-	build/release-darwin-x86/$BASEDIR/uix86.dylib
+	build/release-darwin-i386/$BASEDIR/uii386.dylib
 	build/release-darwin-ppc/$BASEDIR/qagameppc.dylib
-	build/release-darwin-x86/$BASEDIR/qagamex86.dylib
+	build/release-darwin-i386/$BASEDIR/qagamei386.dylib
 "
 MPACK_OBJ="
 	build/release-darwin-ppc/$MPACKDIR/cgameppc.dylib
-	build/release-darwin-x86/$MPACKDIR/cgamex86.dylib
+	build/release-darwin-i386/$MPACKDIR/cgamei386.dylib
 	build/release-darwin-ppc/$MPACKDIR/uippc.dylib
-	build/release-darwin-x86/$MPACKDIR/uix86.dylib
+	build/release-darwin-i386/$MPACKDIR/uii386.dylib
 	build/release-darwin-ppc/$MPACKDIR/qagameppc.dylib
-	build/release-darwin-x86/$MPACKDIR/qagamex86.dylib
+	build/release-darwin-i386/$MPACKDIR/qagamei386.dylib
 "
 if [ ! -f Makefile ]; then
 	echo "This script must be run from the ioquake3 build directory";
@@ -42,7 +42,7 @@
 	exit 1;
 fi
 
-(BUILD_MACOSX_UB=ppc make && BUILD_MACOSX_UB=x86 make) || exit 1;
+(BUILD_MACOSX_UB=ppc make && BUILD_MACOSX_UB=i386 make) || exit 1;
 
 if [ ! -d $DESTDIR ]; then 
 	mkdir $DESTDIR || exit 1;




More information about the quake3-commits mailing list